<body>

<h2>Einführung</h2>

<p>Diese Sammlung enthält insgesamt 70 Docker- und Portainer-Anwendungen, um sie mithilfe von Docker Compose zu betreiben und mit Portainer zu verwalten. Docker Compose ist ein Tool, mit dem Sie Multi-Container-Docker-Anwendungen definieren und ausführen können. Portainer ist eine Open-Source-Management-Oberfläche für Docker, mit der Sie Container, Images, Netzwerke und Volumes auf einfache Weise verwalten können.</p>

<h2>Voraussetzungen</h2>

<p>Bevor Sie diese Konfigurationen verwenden können, stellen Sie sicher, dass Sie Folgendes installiert haben:</p>

<ul>
    <li><a href="https://docs.docker.com/get-docker/">Docker</a></li>
    <li><a href="https://docs.docker.com/compose/install/">Docker Compose</a></li>
    <li><a href="https://www.portainer.io/installation/">Portainer</a> (optional)</li>
</ul>

<h2>Verwendung</h2>

<ol>
    <li><strong>Bearbeiten Sie die <code>docker-compose.yml</code> Datei</strong></li>
    <p>Passen Sie die <code>docker-compose.yml</code> Datei an, um Ihre Sammlung von Anwendungen hinzuzufügen oder zu entfernen. Beachten Sie die Kommentare in der Datei für Anleitungen zur Konfiguration.</p>
</ol>
<ol>
    <li><strong>Starten Sie den Stack</strong></li>
    <pre><code>docker-compose up -d</code></pre>
    <p>Der Parameter <code>-d</code> sorgt dafür, dass die Container im Hintergrund gestartet werden.</p>
</ol>
<ol>
    <li><strong>Zugriff auf Portainer (optional)</strong></li>
    <p>Öffnen Sie Ihren Webbrowser und gehen Sie zu <code>http://localhost:9000</code>, um auf Portainer zuzugreifen. Befolgen Sie die Anweisungen, um Portainer einzurichten und Ihren Docker-Host zu verwalten.</p>
</ol>
<ol>
    <li><strong>Verwalten Sie Ihre Sammlung von Anwendungen</strong></li>
    <p>Sobald Ihr Stack läuft, können Sie auf Ihre Anwendungen über die angegebenen Ports zugreifen (z. B. <code>http://localhost:8001</code>). Verwenden Sie Portainer, um Container, Netzwerke und Volumes zu überwachen und zu verwalten.</p>
</ol>

<h2>Anpassung</h2>

<p>Sie können die <code>docker-compose.yml</code> Datei entsprechend Ihren Anforderungen anpassen. Hier sind einige mögliche Anpassungen:</p>

<ul>
    <li>Ändern Sie die Portzuordnungen für Ihre Anwendungen.</li>
    <li>Fügen Sie weitere Anwendungen hinzu, indem Sie weitere Serviceeintragungen erstellen.</li>
    <li>Konfigurieren Sie Umgebungsvariablen oder Volumes für Ihre Anwendungen.</li>
    <li>Passen Sie die Portainer-Konfiguration an oder entfernen Sie sie, wenn Sie Portainer nicht verwenden möchten.</li>
</ul>

<h2>Hilfe und Unterstützung</h2>

<p>Wenn Sie Hilfe benötigen oder Fragen zu dieser Konfiguration haben, zögern Sie nicht, ein Problem in diesem Repository zu öffnen oder mich zu kontaktieren.</p>

<h2>Lizenz</h2>

<p>Dieses Projekt ist unter der <a href="LICENSE">MIT-Lizenz</a> lizenziert.</p>

</body>

